package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zj
 * @date 2019-01-28 20:44:23
 */
@TableName("live_video_transcoding")
public class LiveVideoTranscodingEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Integer id;
    /**
     * 请求id
     */
    private String requestId;
    /**
     * 任务id
     */
    private String taskId;
    /**
     * 任务状态(0:增在处理，1处理完成)
     */
    private String taskStatus;
    /**
     * 删除标志，1：取消转码
     */
    private String delFlag;
    /**
     * 操作人
     */
    private String operateId;
    /**
     *
     */
    private String videoUrl;
    /**
     *
     */
    private String formatVideoUrl;
    /**
     * 入库时间
     */
    private Date createDate;
    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 上传状态
     * 0代表失败
     * 1代表成功
     */
    private String uploadState;

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置：请求id
     */
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    /**
     * 获取：请求id
     */
    public String getRequestId() {
        return requestId;
    }

    /**
     * 设置：任务id
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * 获取：任务id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 设置：任务状态(0:增在处理，1处理完成)
     */
    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    /**
     * 获取：任务状态(0:增在处理，1处理完成)
     */
    public String getTaskStatus() {
        return taskStatus;
    }

    /**
     * 设置：删除标志
     */
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 获取：删除标志
     */
    public String getDelFlag() {
        return delFlag;
    }

    /**
     * 设置：操作人
     */
    public void setOperateId(String operateId) {
        this.operateId = operateId;
    }

    /**
     * 获取：操作人
     */
    public String getOperateId() {
        return operateId;
    }

    /**
     * 设置：
     */
    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    /**
     * 获取：
     */
    public String getVideoUrl() {
        return videoUrl;
    }

    /**
     * 设置：
     */
    public void setFormatVideoUrl(String formatVideoUrl) {
        this.formatVideoUrl = formatVideoUrl;
    }

    /**
     * 获取：
     */
    public String getFormatVideoUrl() {
        return formatVideoUrl;
    }

    /**
     * 设置：入库时间
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 获取：入库时间
     */
    public Date getCreateDate() {
        return createDate;
    }

    /**
     * 设置：修改时间
     */
    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    /**
     * 获取：修改时间
     */
    public Date getUpdateDate() {
        return updateDate;
    }

    public String getUploadState() {
        return uploadState;
    }

    public void setUploadState(String uploadState) {
        this.uploadState = uploadState;
    }
}
